#ifndef PERSON_H
#define PERSON_H

#include "DATE.H"


//Person class that we will use in other classes
//stores basic person info that applies to all types of people

struct Country
{
    string name;
    string abbr;
};

class Person
{
private:
    string lname;
    string mname;
    string fname;
    string ssNum;
    Date dateOfBirth;
    //age will be calculate
    bool gender; //0=male, 1=female
    double weight; //in lb
    double height; //in inches
    string email;
    Country * residenceCountry;
public:
    Person();
    Person(string fname, string lname, string ssNum);
    Person(string fname, string lname, string ssNum, string bMonth, int bDay, int bYear, Country * c);
    string getFname();
    string getMname();
    string getLname();
    Country* getCountry();
    string getDateAsString();
};

#endif
